package org.samcrow;


import org.lekan.graphics.SGObject;
import org.lekan.graphics.SGObject.Origin;
import org.lekan.graphics.SGText;


public class Destination extends Node {
	private String name;
	
	private static final int PADDING = 5;//label padding in pixels
	
	public Destination(int inX, int inY, String inName){
		super(inX, inY);
		name = inName;
	}
	
	public String getName(){
		return name;
	}
	
	@Override
	public SGObject getDrawObject(){
		SGObject object = super.getDrawObject();
		object.origin = Origin.DESTINATION;
		return object;
	}
	
	public SGText getLabel(){
		SGText text = new SGText(name, x + CIRCLE_RADIUS + PADDING, y + CIRCLE_RADIUS);
		text.origin = Origin.DESTINATION_LABEL;
		return text;
	}
}
