package org.samcrow.io;

import java.util.Collection;
import java.util.HashSet;

import org.samcrow.Link;
import org.samcrow.Node;

/**
 * Contains a Collection of Nodes and a Collection of Links
 * @author Sam Crow
 *
 */
public class IOResponse {
	public Collection<Node> nodes;
	public Collection<Link> links;
	
	public IOResponse(){
		nodes = new HashSet<Node>();
		links = new HashSet<Link>();
	}
}
